INSERT INTO upload (hash, content, name, mime, qr, created)
VALUES (:hash, :content, :file_name, :mime_type, :qr, CURRENT_TIMESTAMP)
ON CONFLICT DO
UPDATE SET
  content = excluded.content,
  name = excluded.name,
  mime = excluded.mime,
  created = excluded.created,
  qr = excluded.qr
WHERE excluded.created > upload.created;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/link.sql') AS properties;
